Bootstrap Typeahead не работает в Angular JS

Typeahead не работает с угловой версией 1.0.8 js, но отлично работает в версии 1.2.24.

Мое приложение старое, а клиент не хочет устанавливать новую версию из-за некоторых других проблем совместимости с элементами управления jquery и Telerik.

Как я могу это решить? Вот мой код.

<div><code>&lt;ul role="menu"&gt; &lt;li ng-repeat="svCenter in holdOrder.ServiceCenters"&gt; {{svCenter.Fullname}} &lt;/li&gt; &lt;/ul&gt;</code> </div>
1 ответ

Вы можете использовать ngAutocomplete, который является более старым модулем, который не обновлялся через несколько месяцев, но отлично работает на Angular 1.0.8.

Некоторые примеры здесь (plunkers с угловым 1.0.8).

licensed under cc by-sa 3.0 with attribution.